## sbackup 0.8-1

=== debian/changelog ===
sbackup (0.8-1) unstable; urgency=low

  * Fix binary paths in .menu entries to sbin (Closes: #324781)
  * Use "." instead of ":" in all directory names (Closes: #325431)
  * Fix a bug with first item of file format exclusion list (Closes: #325426)

 -- Aigars Mahinovs <aigarius@debian.org>  Sat,  03 Sep 2005 23:14:23 +0300

sbackup (0.7-2) unstable; urgency=low

  * Also fix the config applet to work in sarge
  * Move the restore icon to System->Administration menu too
  * First upload to Debian unstable :)

 -- Aigars Mahinovs <aigarius@debian.org>  Wed,  20 Aug 2005 00:14:23 +0300

sbackup (0.7-1) unstable; urgency=low

  * Fix and reenable remote restore. It is still heal of a slow, but it works
  * Add empty directories to a full backup
  * Stop using pythons tarfile module on backup
  * Interface to systems 'tar' tool - double speedup, 10 times less memory used
  * Reduce memory usage by factor of 3 on restore and restore GUI
  * target directories are checked for validity, so interrupted backup no longer
    breaks other backups
  * Cache all files locally on remote backup - gnomevfs is very slow on small updates
  * A new tool added to upgrade backup directory formats
  * Gnome Restore tool now automatically asks to upgrade old backup directories

 -- Aigars Mahinovs <aigarius@debian.org>  Wed,  17 Aug 2005 00:01:23 +0300

sbackup (0.5-1) unstable; urgency=low

  * Added the restore GUI: simple-restore-gnome
  * Added the command-line: srestore.py (Also a python module for restoring)
  * Only backup directories if there are files inside
  * Minimize usage of /tree file (planned for removal, with compartibility)
  * Usability adjustments to the config gui
  * Improved configuration defaults
  * Improved backup algorithm - now only folders with changes are included in
    the backup archive
  * NOTE: remote restore is *not* supported in this version

 -- Aigars Mahinovs <aigarius@debian.org>  Sun, 10 Aug 2005 20:21:20 +0300

sbackup (0.4-1) unstable; urgency=low

  * Adjustments to Gnome capplets Target tab
  * Write username to cron.d file (was breaking automatic backups)

 -- Aigars Mahinovs <aigarius@debian.org>  Sun,  8 Aug 2005 20:00:00 +0300

sbackup (0.3-1) unstable; urgency=low

  * Initial release

 -- Aigars Mahinovs <aigarius@debian.org>  Sun,  7 Aug 2005 20:01:33 +0300

## sbackup 0.9-1~breezy1

=== debian/changelog ===
sbackup (0.9-1~breezy1) breezy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Tue, 13 Dec 2005 20:11:02 +0000

sbackup (0.9-1) unstable; urgency=low

  * document all the TODOs and plans
  * backup all files if maxsize=-1 (SF:1324065)
  * fixed many bugs with the root directory enabled for backup
  * fixed an exception with remote target testing (Closes: #329341)
  * secure backup permissions - now all files are 0600 (Ubuntu: #3177)
  * also rename remote directories to get rid of ":" in filename
  * upgrade backup directories before each backup run

 -- Aigars Mahinovs <aigarius@debian.org>  Sun,  20 Nov 2005 04:14:23 +0300

## sbackup 0.9-1

=== Makefile ===
BIN = $(DESTDIR)/usr/sbin
SUPPORT = $(DESTDIR)/usr/share/sbackup
DOC = $(DESTDIR)/usr/share/doc/sbackup

default:

install:
	install -d $(BIN) $(SUPPORT) $(DOC)
	install ./sbackupd $(BIN)
	install ./simple-backup-config $(BIN)
	install ./simple-restore-gnome $(BIN)
	install ./srestore.py $(BIN)
	install ./upgrade_backups.py $(BIN)
#	install ./simple-backup-tocd $(BIN)
	install -m644 simple-backup-config.glade $(SUPPORT)
	install -m644 sbackup-conf.png $(SUPPORT)
	install -m644 sbackup-restore.png $(SUPPORT)
	install -m644 sbackup.desktop $(DESTDIR)/usr/share/applications/
	install -m644 srestore.desktop $(DESTDIR)/usr/share/applications/
	install -m644 simple-restore.glade $(SUPPORT)
#	install -m644 simple-backup-tocd.glade $(SUPPORT)
	install -m600 sbackup.conf.example $(DESTDIR)/etc/sbackup.conf

clean:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sbackup.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sbackup
	mkdir -p debian/sbackup/usr/share/man/man8/
	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/sbackupd.8.gz
	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/srestore.py.8.gz
	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/simple-backup-config.8.gz
	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/simple-restore-gnome.8.gz
	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/upgrade_backups.py.8.gz


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples sbackup.conf.example
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman simple-backup.8
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sbackup 0.10.3

=== debian/changelog ===
sbackup (0.10.3) unstable; urgency=high

  * Fix an Ubuntu-izm that creeped into the permissions (Closes: #391539)

 -- Aigars Mahinovs <aigarius@debian.org>  Fri, 06 Oct 2006 16:55:10 +0100

sbackup (0.10.2) unstable; urgency=high

  * "Simple fixes for simple but annoying bugs" release - intended to go 
    into Etch and Edgy.
  * Manage /etc/sbackup.conf and /etc/cron.d/sbackup as config files, but
    not as conffiles, to remove unneeded "config changes upstream" prompt
    on upgrade. SBackup can handle old config gracefuly.
  * Brown paperbag one-liner fix on incremental backup time not being counted 
    properly causing incremental backups to be done all the time.
  * Reduce nice level of sbackupd process to lowest possible priority (+19)
  * An empty regex matches everything, so avoid those

 -- Aigars Mahinovs <aigarius@debian.org>  Fri, 06 Oct 2006 16:55:10 +0100

sbackup (0.10-1) unstable; urgency=low

  * Added i18n support from Jonh Wendell
  * Added Portuguese translation by Jonh Wendell
  * Adjusts in Makefile, support to uninstall and another prefix,
    rather than /usr (SF:1376603) - wendell
  * fix problem with spaces in target dir (SF:1508991) - wendell
  * Add command-line option parsing support from Andreas Sliwka
  * Improve parsing of cron timelines with added custom option
    (Ubuntu: #5720)
  * Separate filenames in metadata with NULL instead of a newline
    (Closes: #349700)
  * Critical pseydofilesystems are explicitly excluded (Closes: #340115)
  * Command line tar is used and is trying to be robust agaist race
    conditions (Closes: #328824)
  * Ability to edit filenames, paths and regexp directly in the cells - wendell
  * Purge old backup snapshots in smart and simple way (Yay!)
  * Really test the writability of a directory by writing into it.
    Solves several permission related errors, especially in remote backups.
  * Improved restore window interface - wendell
  * Rewriten restore backend fixes bugs while restoring files beyond 2Gb
    limit and speeds up the restore 2-3 times

 -- Aigars Mahinovs <aigarius@debian.org>  Tue, 08 Aug 2006 16:55:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	#$(MAKE)
 
 	touch build-stamp
 
@@ -55,8 +55,8 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/sbackup.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/sbackup
-	mkdir -p debian/sbackup/usr/share/man/man8/
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/sbackup/usr PREFIX=/usr
+	install -d $(CURDIR)/debian/sbackup/usr/share/man/man8/
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/sbackupd.8.gz
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/srestore.py.8.gz
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/simple-backup-config.8.gz

## sbackup 0.10.3-0.1

=== Makefile ===
PO = pt_BR lv nl es sv

DESTDIR = /usr/local
PREFIX = /usr/local
BIN = $(DESTDIR)/sbin/
SUPPORT = $(DESTDIR)/share/sbackup/
DOC = $(DESTDIR)/share/doc/sbackup/
PIXDIR = $(DESTDIR)/share/pixmaps/

all:

default:

install: po-data install-po 
	install -d $(BIN) $(SUPPORT) $(DOC) $(PIXDIR) $(DESTDIR)/share/applications $(DESTDIR)/etc
	install ./sbackupd $(BIN)
	install ./simple-backup-config $(BIN)/simple-backup-config
	install ./simple-restore-gnome $(BIN)/simple-restore-gnome
	install ./srestore.py $(BIN)/srestore.py
	install ./upgrade_backups.py $(BIN)/upgrade_backups.py
#	install ./simple-backup-tocd $(BIN)
	install -m644 simple-backup-config.glade $(SUPPORT)
	install -m644 sbackup-conf.png $(PIXDIR)
	install -m644 sbackup-restore.png $(PIXDIR)
	install -m644 sbackup.desktop $(DESTDIR)/share/applications/
	install -m644 srestore.desktop $(DESTDIR)/share/applications/
	install -m644 simple-restore.glade $(SUPPORT)
#	install -m644 simple-backup-tocd.glade $(SUPPORT)
ifeq ($(DESTDIR),/usr/local/)
	install -b -m600 sbackup.conf.example /etc/sbackup.conf
	@echo "[places]" >> /etc/sbackup.conf
	@echo "prefix=$(PREFIX)" >> /etc/sbackup.conf
endif

uninstall:
	rm -f $(BIN)/sbackupd
	rm -f $(BIN)/simple-backup-config
	rm -f $(BIN)/simple-restore-gnome
	rm -f $(BIN)/srestore.py
	rm -f $(BIN)/upgrade_backups.py
	rm -rf $(SUPPORT)
	rm -rf $(DOC)
	rm -f $(DESTDIR)/share/applications/sbackup.desktop
	rm -f $(DESTDIR)/share/applications/srestore.desktop
	rm -f $(DESTDIR)/etc/sbackup.conf

clean:
	for lang in $(PO); do rm -rf po/$$lang ; done
	-rm -f *.pyc
	-rm -f po/*~
	-rm -f *.gladep
	-rm -f *~ *.bak

install-po:
	for lang in $(PO); do install -d $(DESTDIR)/share/locale/$$lang/LC_MESSAGES/ ; done
	for lang in $(PO); do install -m 644 po/$$lang/LC_MESSAGES/* $(DESTDIR)/share/locale/$$lang/LC_MESSAGES/ ; done

po-dir:
	for lang in $(PO); do mkdir -p po/$$lang/LC_MESSAGES/ ; done

po-data: po-dir
	for lang in $(PO); do msgfmt po/$$lang.po -o po/$$lang/LC_MESSAGES/sbackup.mo ; done

po-gen:
	xgettext -k_ -kN_ -o po/messages.pot -L Python simple-backup-config simple-restore-gnome srestore.py upgrade_backups.py 
	xgettext -k_ -kN_ -o po/messages.pot -j -L Glade simple-backup-config.glade simple-restore.glade
	for lang in $(PO); do msgmerge -U po/$$lang.po po/messages.pot; done

=== debian/changelog ===
sbackup (0.10.3-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * remove /usr/etc. Closes: #399762

 -- Andreas Barth <aba@not.so.argh.org>  Mon,  4 Dec 2006 16:23:27 +0000

## sbackup 0.10.4~feisty1

=== debian/changelog ===
sbackup (0.10.4~feisty1) feisty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Wed,  5 Sep 2007 10:02:23 +0100

sbackup (0.10.4) unstable; urgency=low

  * Official release.
  * fix a bug preventing simple-backup-config to resolve anacron monthly
  * Ubuntu Bug #67814 - fixed permission problems with remote backups
  
  * gksu is used instead of gksudo (Closes: #327222)
  * Cron job is removed on package purge (Closes: #346097)
  * Should not crash on non-dirs in backup target (Closes: #391948)
  * Fixed typo in About (Closes: #414783)
  * Included Franch translation (Closes: #396059)
  * Updated all translations

 -- Aigars Mahinovs <aigarius@debian.org>  Sat, 19 May 2007 16:53:10 +0100

sbackup (0.10.4~beta10) unstable; urgency=low

  * Public beta release
  
 -- Aigars Mahinovs <aigarius@debian.org>  Sat, 19 May 2007 16:53:10 +0100

sbackup (0.10.4~beta9) unstable; urgency=low

  * Gnomevfs doesn't close directory handler.
  * Hope this is the last beta
  * Resolved a bug when using ssh 
  * change some errors printing
  * admin GID is now get dynamically . 
  * Changed the right on the flist file to set read access to admin
  * Fixes a problem with incremental backups
  * Avoid usage of current dir for the lock file
  * Version on about window is set to 0.10.4
  * Bug #112540 fix : sbackup now runs under root:admin. directories are created with read access for admins
  * Bug #102577 fix : optimizing the backup process ( thanks to Oliver Gerlich )
  * A lot of bug fixes, This is just for testers

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Sat,  5 May 2007 20:02:31 +0200

sbackup (0.10.3-0.2) unstable; urgency=high

  * Enhancement. applied patch proposed by Oliver Gerlich. See: Bug #110113
  * Code cleaned to prevent warnings about non existing GTK components :
    see Bug #106818
  * Ensure that daily backups are not skipped if the system is off at the scheduled backup time

  * Created a sbackup script to install in /usr/share/sbackup/sbackup
  (this script is almost the same created by sbackup in /etc/cron.d/

  * Makefile :
  * add a flag to create non existing dirs
  * install the "sbackup" script in "/usr/share/sbackup/sbackup"

  * the python files have been renamed in *.py and the Makefile has been
   changed to be compliant -links are created into BIN without
   the py extention-

  * The About dialog now indicates Version 0.10.3 : Closes Bug #74963
  * French language support added

 -- Ouattara Oumar Aziz (alias wattazoum) <wattazoum@gmail.com>  Sat, 28 Apr 2007 10:08:29 +0200

## sbackup 0.10.4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
-PO = pt_BR lv nl es sv
+PO = pt_BR lv nl es sv fr
 
-DESTDIR = /usr/local
+ifndef DESTDIR
+	DESTDIR = /usr/local
+endif 
+
 PREFIX = /usr/local
 BIN = $(DESTDIR)/sbin/
 SUPPORT = $(DESTDIR)/share/sbackup/
@@ -13,19 +16,25 @@
 
 install: po-data install-po 
 	install -d $(BIN) $(SUPPORT) $(DOC) $(PIXDIR) $(DESTDIR)/share/applications $(DESTDIR)/etc
-	install ./sbackupd $(BIN)
-	install ./simple-backup-config $(BIN)/simple-backup-config
-	install ./simple-restore-gnome $(BIN)/simple-restore-gnome
-	install ./srestore.py $(BIN)/srestore.py
-	install ./upgrade_backups.py $(BIN)/upgrade_backups.py
+	install ./sbackupd.py $(SUPPORT)
+	ln -s ../share/sbackup/sbackupd.py $(BIN)/sbackupd
+	install ./simple-backup-config.py $(SUPPORT)
+	ln -s ../share/sbackup/simple-backup-config.py $(BIN)/simple-backup-config
+	install ./simple-restore-gnome.py $(SUPPORT)
+	ln -s ../share/sbackup/simple-restore-gnome.py $(BIN)/simple-restore-gnome
+	install ./srestore.py $(SUPPORT)
+	ln -s ../share/sbackup/srestore.py $(BIN)/srestore.py
+	install ./upgrade_backups.py $(SUPPORT)
+	ln -s ../share/sbackup/upgrade_backups.py $(BIN)/upgrade_backups.py
 #	install ./simple-backup-tocd $(BIN)
-	install -m644 simple-backup-config.glade $(SUPPORT)
-	install -m644 sbackup-conf.png $(PIXDIR)
-	install -m644 sbackup-restore.png $(PIXDIR)
-	install -m644 sbackup.desktop $(DESTDIR)/share/applications/
-	install -m644 srestore.desktop $(DESTDIR)/share/applications/
-	install -m644 simple-restore.glade $(SUPPORT)
-#	install -m644 simple-backup-tocd.glade $(SUPPORT)
+	install -m644 -D simple-backup-config.glade $(SUPPORT)
+	install -m644 -D sbackup-conf.png $(PIXDIR)
+	install -m644 -D sbackup-restore.png $(PIXDIR)
+	install -m644 -D sbackup.desktop $(DESTDIR)/share/applications/
+	install -m644 -D srestore.desktop $(DESTDIR)/share/applications/
+	install -m644 -D simple-restore.glade $(SUPPORT)
+	install ./sbackup $(SUPPORT)
+#	install -m644 -D simple-backup-tocd.glade $(SUPPORT)
 ifeq ($(DESTDIR),/usr/local/)
 	install -b -m600 sbackup.conf.example /etc/sbackup.conf
 	@echo "[places]" >> /etc/sbackup.conf
@@ -62,6 +71,6 @@
 	for lang in $(PO); do msgfmt po/$$lang.po -o po/$$lang/LC_MESSAGES/sbackup.mo ; done
 
 po-gen:
-	xgettext -k_ -kN_ -o po/messages.pot -L Python simple-backup-config simple-restore-gnome srestore.py upgrade_backups.py 
+	xgettext -k_ -kN_ -o po/messages.pot -L Python simple-backup-config.py simple-restore-gnome.py srestore.py upgrade_backups.py 
 	xgettext -k_ -kN_ -o po/messages.pot -j -L Glade simple-backup-config.glade simple-restore.glade
 	for lang in $(PO); do msgmerge -U po/$$lang.po po/messages.pot; done

=== debian/control ===
Source: sbackup
Section: admin
Priority: optional
Maintainer: Aigars Mahinovs <aigarius@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: sbackup
Architecture: all
Depends: python, python-gnome2, python-glade2, gksu, sudo
Description: Simple Backup Suite for desktop use
 Simple Backup Suite is a set of backend backup daemon and Gnome
 GUI frontends that provide a simple yet powerful backup
 solution for common desktop users.
 .
 Backups can be written to local directory or remote servers using
 Gnome VFS technology. A fine control is possible regarding what
 folders and files to backup. Files can be excluded even with a set
 of regular expressions. Regular backups can be scheduled.
 .
 This tool has been written with Google sponsorship during Summer
 of Code 2005 with mentoring help from Ubuntu.

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,7 @@
 
 	# Add here commands to install the package into debian/sbackup.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/sbackup/usr PREFIX=/usr
+	[ -d $(CURDIR)/debian/sbackup/usr/etc ] && rmdir $(CURDIR)/debian/sbackup/usr/etc
 	install -d $(CURDIR)/debian/sbackup/usr/share/man/man8/
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/sbackupd.8.gz
 	ln -s simple-backup.8.gz debian/sbackup/usr/share/man/man8/srestore.py.8.gz

## sbackup 0.10.4+ja-0ubuntu1

=== debian/changelog ===
sbackup (0.10.4+ja-0ubuntu1) hardy; urgency=low

  * add Japanese translation file

 -- Hajime Mizuno <mizuno@as.airnet.ne.jp>  Tue, 5 Aug 2008 22:25:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: sbackup
 Section: admin
 Priority: optional
-Maintainer: Aigars Mahinovs <aigarius@debian.org>
+Maintainer: Hajime Mizuno <mizuno@as.airnet.ne.jp>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1

## sbackup 0.10.5ubuntu2

=== debian/changelog ===
sbackup (0.10.5ubuntu2) intrepid; urgency=low

  * Replace depends on gksu and sudo with menu for su-to-root (LP: #260203)
    - Thanks to Marcel Stimberg for the fix

 -- Scott Kitterman <scott@kitterman.com>  Sat, 25 Oct 2008 23:58:15 -0400

sbackup (0.10.5ubuntu1) intrepid; urgency=low

  * Add Japanese translation. (LP: #280788)
    Thanks to Hajime Mizuno <mizuno@as.airnet.ne.jp>.

 -- Jun Kobayashi <jkbys@ubuntu.com>  Thu, 09 Oct 2008 14:39:13 +0000

sbackup (0.10.5) unstable; urgency=medium
  
  * Update to use su-to-root (Closes: #479826)
  * Revert the group of all files to 'root' as there 
    is no common admin group (Closes: #427697)
  * Save partition information (Closes: #431068)
  * Remove *.pyc files on purge (Closes: #428022)
  * Exclude /home/*/.gvfs/ folders by default (Launchpad: #222898)
  * Fix a typo preventing logarithmic cleanup from 
    working (Closes: #447252) (Launchpad: #126278, #71698)
  * Fix a popup help type for SSH target recovery (Launchpad: #183650)
  * Check regex before adding it (Launchpad: #191127)
  * Add stop_if_no_target option to abort backups if the taget is
    on a removable drive that is not currently connected
  * Fully draw the "Restoring ..." info box before restoring a file

 -- Aigars Mahinovs <aigarius@debian.org>  Sat, 14 Jun 2008 22:53:10 +0100

## sbackup 0.10.5ubuntu2.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PO = pt_BR lv nl es sv fr
+PO = pt_BR lv nl es sv fr ja
 
 ifndef DESTDIR
 	DESTDIR = /usr/local

=== debian/changelog ===
sbackup (0.10.5ubuntu2.1) lucid-proposed; urgency=low

  * Use subprocess instead of os.spawnl to launch the backup. (LP: #550261)
 
 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Wed, 12 May 2010 17:51:25 +0200
 

=== debian/control ===
Source: sbackup
Section: admin
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Aigars Mahinovs <aigarius@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.7.3.0

Package: sbackup
Architecture: all
Depends: python, python-gnome2, python-glade2, menu
Description: Simple Backup Suite for desktop use
 Simple Backup Suite is a set of backend backup daemon and GNOME
 GUI frontends that provide a simple yet powerful backup
 solution for common desktop users.
 .
 Backups can be written to local directory or remote servers using
 GNOME VFS technology. A fine control is possible regarding what
 folders and files to backup. Files can be excluded even with a set
 of regular expressions. Regular backups can be scheduled.
 .
 This tool has been written with Google sponsorship during Summer
 of Code 2005 with mentoring help from Ubuntu.

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean 
 
@@ -67,10 +67,6 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
-
-# Build architecture-dependent files here.
-binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
@@ -100,5 +96,9 @@
 	dh_md5sums
 	dh_builddeb
 
+# Build architecture-dependent files here.
+binary-arch: build install
+# Nothing here
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## sbackup 0.10.5+nmu1

=== debian/changelog ===
sbackup (0.10.5+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility to 7
  * Add ${misc:Depends} to package dependencies to properly deal with
    dependencies triggerred by the use of debhelper utilities
  * Explicitly use 1.0 source format
  * Replace deprecated chown use in  postinst
  * Drop empty conffiles file
  * Fix pending l10n issues. Programs translations:
    - French. Closes: #431936
    - Portuguese. Closes: #568306

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Apr 2010 08:27:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: sbackup
 Section: admin
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Aigars Mahinovs <aigarius@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
+Maintainer: Aigars Mahinovs <aigarius@debian.org>
+Build-Depends: debhelper (>= 7)
 Standards-Version: 3.7.3.0
 
 Package: sbackup
 Architecture: all
-Depends: python, python-gnome2, python-glade2, menu
+Depends: python, python-gnome2, python-glade2, gksu, sudo, ${misc:Depends}
 Description: Simple Backup Suite for desktop use
  Simple Backup Suite is a set of backend backup daemon and GNOME
  GUI frontends that provide a simple yet powerful backup

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs
 
 	# Add here commands to install the package into debian/sbackup.

## sbackup 0.11.3ubuntu1

=== Makefile ===
################################################################################
#
#   Simple Backup - GNU Makefile
#
#   Copyright (c)2008-2010: Jean-Peer Lorenz <peer.loz@gmx.net>
#   Copyright (c)2007-2010: Ouattara Oumar Aziz <wattazoum@gmail.com>
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
################################################################################

# grab name and current version
METAFILE="METAINFO"
VERSION=$(shell grep "^VERSION=" $(METAFILE)|cut -d "=" -f 2 -)
PKGNAME=$(shell grep "^PKGNAME=" $(METAFILE)|cut -d "=" -f 2 -)

# retrieve/determine used applications (version of Python interpreter...)
PYTHON=$(shell which python)
servicetool=$(shell which service)
gconftool=$(shell which gconftool-2)

export GCONF_CONFIG_SOURCE=$(shell if test -x "$(gconftool)"; then $(gconftool) --get-default-source; fi)

# available languages UI
PO=ar bg ca cs de en_AU en_CA en_GB es fi fr gl he hu id it lv ms nb nl oc pl pt pt_BR ru sv tr uk zh_CN zh_TW da el fa is ja kk ko kw ro sr sw

# available languages Help/Manual
HELPLANG=C


# definition of paths and filenames
# installation into /usr/local to be compliant to GNU standards
PREFIX=/usr/local
DESTDIR=/usr/local

datadir=$(DESTDIR)/share
bindir=$(DESTDIR)/bin
sbindir=$(DESTDIR)/sbin

libdir=$(datadir)/$(PKGNAME)
helpdir=$(datadir)/gnome/help/$(PKGNAME)
langdir=$(datadir)/locale
icondir=$(datadir)/icons
gconf_schema_file_dir=$(datadir)/gconf/schemas

sysconf_dir=/etc
dbus_system_conf_dir=$(sysconf_dir)/dbus-1/system.d

gconf_schema_file=apps_sbackup_global-preferences.schemas
dbus_system_conf_file=org.sbackupteam.SimpleBackup.conf

iconslst=sbackup-panel.png sbackup-attention.png sbackup-success.png

gtk_update_icon_cache=if test "$(DISABLE_MAKEFILE_GTK_UPDATE_ICON_CACHE)" = ""; then \
						gtk-update-icon-cache -f -t $(icondir)/hicolor; \
						gtk-update-icon-cache -f -t $(icondir)/ubuntu-mono-light; \
						gtk-update-icon-cache -f -t $(icondir)/ubuntu-mono-dark; fi

# distutils options
SETUP.PY_OPTS=--root=/ --install-lib $(libdir) -O0


default: build-po fill-templates
	$(PYTHON) setup.py build

build-po:
	set -e; for lang in $(PO); do install -d po/$$lang/LC_MESSAGES/ ; done
	set -e; for lang in $(PO); do msgfmt po/$$lang.po -o po/$$lang/LC_MESSAGES/sbackup.mo ; done

#TODO: use intltool and scan *.desktop...
po-gen:
	set -e; xgettext -o po/sbackup.pot src/sbackup/*.py src/sbackup/*/*.py data/ui/*.glade scripts/*.py
	set -e; for lang in $(PO); do msgmerge -U po/$$lang.po po/sbackup.pot; done

fill-templates:
	set -e; sed s+@prefix@+$(PREFIX)+ src/sbackup/resources.in > src/sbackup/resources
	set -e; sed s+@prefix@+$(PREFIX)+ data/desktop/sbackup-config.desktop.in > data/desktop/sbackup-config.desktop
	set -e; sed s+@prefix@+$(PREFIX)+ data/desktop/sbackup-config-su.desktop.in > data/desktop/sbackup-config-su.desktop.tmp
	set -e; sed s+@prefix@+$(PREFIX)+ data/desktop/sbackup-config-su.desktop.tmp > data/desktop/sbackup-config-su.desktop
	set -e; sed s+@prefix@+$(PREFIX)+ data/desktop/sbackup-restore.desktop.in > data/desktop/sbackup-restore.desktop
	set -e; sed s+@prefix@+$(PREFIX)+ data/desktop/sbackup-restore-su.desktop.in > data/desktop/sbackup-restore-su.desktop.tmp
	set -e; sed s+@prefix@+$(PREFIX)+ data/desktop/sbackup-restore-su.desktop.tmp > data/desktop/sbackup-restore-su.desktop
	set -e; sed s+@version@+$(VERSION)+ setup.py.in > setup.py.tmp
	set -e; sed s+@pkgname@+$(PKGNAME)+ setup.py.tmp > setup.py
	set -e; sed s+@version@+$(VERSION)+ src/sbackup/metainfo.in > src/sbackup/metainfo.tmp
	set -e; sed s+@pkgname@+$(PKGNAME)+ src/sbackup/metainfo.tmp > src/sbackup/metainfo
	rm -f data/desktop/*.tmp src/sbackup/*.tmp *.tmp

check:
	@echo "Check for another installation of sbackup"
	@set -e; for lang in $(DESTDIR)/sbin/sbackupd $(DESTDIR)/bin/sbackup $(DESTDIR)/../sbin/sbackupd $(DESTDIR)/../bin/sbackup; do echo "	checking: $$lang"; if [ -e $$lang ]; then echo "Another installation of sbackup is present. Please uninstall first."; exit 1; fi ; done
	@set -e; for lang in $(DESTDIR)/bin/nssbackupd $(DESTDIR)/../bin/nssbackupd; do echo "	checking: $$lang"; if [ -e $$lang ]; then echo "Another installation of nssbackup is present. Please uninstall first."; exit 1; fi ; done

install: check install-package install-po install-help install-bin install-data
	chmod +x $(libdir)/multipleTarScript
	chmod +x $(libdir)/sbackup-launch
	chmod +x $(libdir)/sbackup-dbusservice
	chmod +x $(libdir)/sbackup-indicator
	chmod +x $(libdir)/sbackup-progress
	chmod +x $(libdir)/sbackup-terminate
	chmod +x $(libdir)/sbackup-run
	chmod +x $(libdir)/sbackup-config-gtk
	chmod +x $(libdir)/sbackup-restore-gtk
	chmod +x $(libdir)/sbackup-upgrade-backups
	chmod +x $(libdir)/sbackupconfig.py

# application's binaries
install-bin:
	install -d $(bindir) $(sbindir)
	ln -sf ../share/sbackup/sbackup-run $(bindir)/sbackup
	ln -sf ../share/sbackup/sbackup-config-gtk $(bindir)/sbackup-config-gtk
	ln -sf ../share/sbackup/sbackup-restore-gtk $(bindir)/sbackup-restore-gtk
	ln -sf ../share/sbackup/sbackup-upgrade-backups $(bindir)/sbackup-upgrade-backups
	ln -sf ../share/sbackup/sbackupconfig.py $(sbindir)/sbackupconfig

# python package
install-package:
	$(PYTHON) setup.py install ${SETUP.PY_OPTS} --prefix=$(PREFIX)

# localization
install-po:
	set -e; for lang in $(PO); do install -d $(langdir)/$$lang/LC_MESSAGES/ ; done
	set -e; for lang in $(PO); do install -m 644 po/$$lang/LC_MESSAGES/* $(langdir)/$$lang/LC_MESSAGES/ ; done

# help/manual
install-help:
	install -d $(helpdir)
	set -e; for lang in $(HELPLANG); do \
	install -d $(helpdir)/$$lang/; \
	install -d $(helpdir)/$$lang/figures; \
	install -m 644 help/$$lang/*.page $(helpdir)/$$lang/; \
	install -m 644 help/$$lang/*.xml $(helpdir)/$$lang/; \
	install -m 644 help/$$lang/figures/*.png $(helpdir)/$$lang/figures; \
	done

# additional data/configuration
install-data: install-icons install-dbus install-gconf
	@if test "$(DISABLE_MAKEFILE_DESKTOP_DATABASE_RELOAD)" = ""; then \
	update-desktop-database; fi

install-icons:
	install -d $(icondir)/hicolor/24x24/apps/ $(icondir)/ubuntu-mono-light/apps/24/ $(icondir)/ubuntu-mono-dark/apps/24/
	set -e; for icon in $(iconslst); do install -m 644 data/icons/hicolor/24x24/$$icon $(icondir)/hicolor/24x24/apps/ ; done
	set -e; for icon in $(iconslst); do install -m 644 data/icons/ubuntu-mono-light/24/$$icon $(icondir)/ubuntu-mono-light/apps/24/ ; done
	set -e; for icon in $(iconslst); do install -m 644 data/icons/ubuntu-mono-dark/24/$$icon $(icondir)/ubuntu-mono-dark/apps/24/ ; done
	$(gtk_update_icon_cache)

install-dbus:
	install -d $(dbus_system_conf_dir)
	install -m 644 data/$(dbus_system_conf_file) $(dbus_system_conf_dir)
	@if test "$(DISABLE_MAKEFILE_DBUS_RELOAD)" = ""; then \
	if [ -x $(servicetool) ]; then \
	$(servicetool) dbus force-reload; \
	else if [ -r /etc/init.d/dbus ]; then \
	invoke-rc.d dbus force-reload; fi; fi; \
	fi

install-gconf:
	install -d $(gconf_schema_file_dir)
	install -m 644 data/$(gconf_schema_file) $(gconf_schema_file_dir)
	@if test "$(GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL)" = ""; then \
	gconf-schemas --register $(gconf_schema_file_dir)/$(gconf_schema_file); \
	fi


# targets for un-installation
uninstall: uninstall-package uninstall-bin uninstall-data uninstall-help clean-data

uninstall-bin:
	rm -f $(bindir)/sbackup
	rm -f $(bindir)/sbackup-config-gtk
	rm -f $(bindir)/sbackup-restore-gtk
	rm -f $(bindir)/sbackup-upgrade-backups
	rm -f $(sbindir)/sbackupconfig

uninstall-package:
	rm -rf $(libdir)

uninstall-data: uninstall-icons uninstall-dbus uninstall-gconf
	rm -f $(datadir)/pixmaps/sbackup-restore.png
	rm -f $(datadir)/pixmaps/sbackup-conf.png
	rm -f $(datadir)/pixmaps/sbackup.png
	rm -f $(datadir)/pixmaps/sbackup32x32.png
	rm -f $(datadir)/applications/sbackup-config*.desktop
	rm -f $(datadir)/applications/sbackup-restore*.desktop
	rm -rf $(datadir)/doc/sbackup
	set -e; find $(langdir) -name sbackup.mo -exec rm -f '{}' \;

uninstall-icons:
	set -e; for icon in $(iconslst); do rm -f $(icondir)/hicolor/24x24/apps/$$icon ; done
	set -e; for icon in $(iconslst); do rm -f $(icondir)/ubuntu-mono-light/apps/24/$$icon ; done
	set -e; for icon in $(iconslst); do rm -f $(icondir)/ubuntu-mono-dark/apps/24/$$icon ; done
	$(gtk_update_icon_cache)

uninstall-dbus:
	rm -f $(dbus_system_conf_dir)/$(dbus_system_conf_file)

#FIXME: treat gconf schema file as proper conffile?
uninstall-gconf:
	@if test "$(GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL)" = ""; then \
	if test -r "$(gconf_schema_file_dir)/$(gconf_schema_file)"; then \
	gconf-schemas --unregister $(gconf_schema_file_dir)/$(gconf_schema_file); fi; \
	fi
	rm -f $(gconf_schema_file_dir)/$(gconf_schema_file)


uninstall-help:
	rm -rf $(helpdir)

clean-data: clean-crondata clean-tmpdata

# remove script/symlinks from cron directory
clean-crondata:
	@if test "$(DISABLE_MAKEFILE_CLEAN_DATA)" = ""; then \
	rm -f /etc/cron.d/sbackup; \
	rm -f /etc/cron.hourly/sbackup; \
	rm -f /etc/cron.daily/sbackup; \
	rm -f /etc/cron.weekly/sbackup; \
	rm -f /etc/cron.monthly/sbackup; fi

clean-tmpdata:
	@if test "$(DISABLE_MAKEFILE_CLEAN_DATA)" = ""; then \
	rm -rf /var/log/sbackup; \
	rm -f /var/log/sbackup-*.log; \
	rm -f /var/log/sbackup-*.log.*.gz; \
	rm -rf /tmp/sbackup; fi

purge-user-config:
	rm -f /etc/sbackup.conf
	rm -rf /etc/sbackup.d


reinstall: uninstall install


# clean source code directory
clean:
	set -e; find . -name '*.py[co]' -exec rm -f '{}' \;
	set -e; find . -name '*~' -exec rm -f '{}' \;
	set -e; find . -name '*.bak' -exec rm -f '{}' \;
	rm -rf build dist setup.py
	rm -f data/desktop/sbackup-config*.desktop
	rm -f data/desktop/sbackup-restore*.desktop
	rm -f src/sbackup/resources
	rm -f src/sbackup/metainfo
	rm -rf src/sbackup.egg-info
	set -e; for lang in $(PO); do rm -rf po/$$lang ; done

# Purpose of this target is to print some informational data
show-infos:
	@echo "Summary of parameters"
	@echo "  Metafile     : "$(METAFILE)
	@echo "  Version      : "$(VERSION)
	@echo "  Package name : "$(PKGNAME)
	@echo "  Python       : "$(PYTHON)
	@echo "  setup.py opts: "$(SETUP.PY_OPTS)
	@echo
	@echo "Directories"
	@echo "  PREFIX      : "$(PREFIX)
	@echo "  DESTDIR     : "$(DESTDIR)
	@echo "  datadir     : "$(datadir)
	@echo "  helpdir     : "$(helpdir)
	@echo "  langdir     : "$(langdir)
	@echo "  bindir      : "$(bindir)
	@echo "  sbindir     : "$(sbindir)

=== debian/changelog ===
sbackup (0.11.3ubuntu1) maverick; urgency=low

  * [Fix] LP: #645543 "Cannot concatenate str and error object" error prevents
                      incremental backups
  * [Fix] LP: #648754 Can't mount ftp location: don't fail when gvfs-fuse is
                      not available; use it only if really required
  * [Fix] LP: #653577 Error 'iter should be a GtkTreeIter' when clicking on
                      Restore with no file selected
  * refer to dependend package 'gvfs-fuse' in install and readme file
  * translations updated
  * translations added: da,el,fa,is,ja,kk,ko,kw,ro,sr,sw

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Sun, 03 Oct 2010 20:43:39 +0200

sbackup (0.11.2ubuntu1) maverick; urgency=low

  * [Fix] LP: #638072 Exclude rules not working on some dirs
  * [Fix] LP: #634356 Exception on reading snapshots in restore ui
  * [Fix] LP: #634031 Default behavior incorrectly set to `Cancel` instead
                      of `Retry`
  * [Fix] LP: #632605 catch error while closing snapshot file over FTP
  * [Fix] LP: #642087 Log. purge not working under certain circumstances
  * Workaround for LP #640034 Setting status to attention does not change
                              to specified icon (indicator-application)
  * Fix: don't block restore gui on long running tasks
  * Fix: don't touch snapshots being upgraded from backup process

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Sat, 18 Sep 2010 18:44:57 +0200

sbackup (0.11.1ubuntu1) maverick; urgency=low

  * [Fix] LP: #587911 Logarithmic purge does not work
  * [Fix] LP: #622095 catch error when listing directory contents fails
  * [Fix]: revamped packaging: use distutils and pysupport

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Thu, 26 Aug 2010 22:44:48 +0200

sbackup (0.11.0ubuntu1) maverick; urgency=low

  * [Fix] LP: #618730 Merge sbackup and nssbackup (see enclosed file
                      nssbackup.ChangeLog for further information)
  * [Fix] LP: #604558 'abort backup' on exernal drives not possible
  * [Fix] LP: #412934 sbackup/nssbackup fails if exclude-path contains an
                      equal-sign
  * [Fix] LP: #277137 crashed with NoSpaceError: No space left on device
  * [Fix] LP: #328902 Spelling and wording errors
  * [Fix] LP: #130856 Show remaining time till backup is finished in UI
  * [Fix] LP: #267759 Simple Backup should display a progress bar
  * [Fix] LP: #137293 empty dialog when restoring with sbackup
  * [Fix] LP: #176838 Incremental backups should not appear incremental when
                      restoring
  * [Fix] LP: #254464 Password for SSH Do Not URI Encode
  * [Fix] LP: #489107 sbackup crahses: stop_if_no_target is not an option in
                      general
  * [Fix] LP: #504990 Mb used instead of MB in the application dialogs
  * [Fix] LP: #507175 libgnomevfs2-extra required for FTP backups
  * [Fix] LP: #310306 Error: no space left
  * [Fix] LP: #383383 restore crashes when the destination path or file is non
                      existent
  * [Fix] LP: #331551 Wrong original English text in sbackup po-file
  * [Fix] LP: #585769 default backup directory doesn't exist in ubuntu
  * translations updated

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Wed, 18 Aug 2010 15:55:28 +0200

sbackup (0.10.5+nmu1ubuntu2) maverick; urgency=low

  * Use subprocess instead of os.spawnl to launch the backup. Thanks to
    Jean-Peer Lorenz (LP: #550261)

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 19 Aug 2010 11:14:55 +0200

sbackup (0.10.5+nmu1ubuntu1) maverick; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Replace depends on gksu and sudo with menu for su-to-root
    - Add Japanese translation

 -- Scott Kitterman <scott@kitterman.com>  Thu, 06 May 2010 00:08:02 -0400

=== debian/control ===
Source: sbackup
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Simple Backup Maintainers <nssbackup-team@lists.launchpad.net>
Uploaders: Jean-Peer Lorenz <peer.loz@gmx.net>, Ouattara Oumar Aziz <wattazoum@gmail.com>
Build-Depends: debhelper (>= 7), python-support (>= 0.90), python
Standards-Version: 3.9.1

Package: sbackup
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gobject,
         gvfs, gvfs-fuse, gvfs-backends
Conflicts: nssbackup, nssbackup-common, nssbackup-gtk,
           nssbackup-ftp, nssbackup-ssh
Recommends: sbackup-gtk(= ${binary:Version}), python-dbus, python-gconf
Description: Simple Backup Suite for desktop use (core functionality)
 Simple Backup Suite comprises of backend backup script and
 GNOME GUI frontends that provide a simple yet powerful backup
 solution for common desktop users.
 .
 Backups can be written to local directories or remote servers using
 GIO/GVFS technology. A fine control is possible regarding what
 folders and files to backup. Files can be excluded even with a set
 of regular expressions. Regular backups can be scheduled.
 .
 This package contains the minimum set of files to create backups
 from the commandline. It uses GIO/GVFS for access of remote backup
 destinations.

Package: sbackup-gtk
Architecture: all
Depends: sbackup(= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         libgtk2.0-bin,
         python-glade2,
         python-gtk2 (>= 2.10),
         python-gnome2,
         python-gobject,
         python-notify,
         gksu
Conflicts: nssbackup, nssbackup-common, nssbackup-gtk,
           nssbackup-ftp, nssbackup-ssh
Recommends: python-dbus, python-appindicator
Description: Simple Backup Suite GTK+ graphical user interface
 Simple Backup Suite graphical user interface (GUI) written in 
 GTK+. This package installs the GTK+ GUI of Simple Backup Suite
 including a status indicator placed in panel when running backups.

Package: sbackup-plugins-fuse
Architecture: all
Depends: sbackup(= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         fuse-utils,
         curlftpfs,
         sshfs,
         python-pexpect
Conflicts: nssbackup, nssbackup-common, nssbackup-gtk,
           nssbackup-ftp, nssbackup-ssh
Description: Simple Backup Suite FUSE plugins
 Simple Backup Suite plugins that use FUSE file systems. This
 optional package enables storage of backups on FTP/SFTP/SSH locations
 using FUSE.
 .
 Please note, that the core package already enables remote access by means of
 GIO/GVFS. This package is required only in case of explicit need
 for mounting external sites using SSHFS or CURLFTPFS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

# don't register gconf schemas nor update icon cache -> postinst
# don't clean crondata -> postrm
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export DISABLE_MAKEFILE_GTK_UPDATE_ICON_CACHE=1
export DISABLE_MAKEFILE_CLEAN_DATA=1
export DISABLE_MAKEFILE_DBUS_RELOAD=1
export DISABLE_MAKEFILE_DESKTOP_DATABASE_RELOAD=1

installdestdir=$(CURDIR)/debian/tmp

clean:
	dh_testdir
	dh_testroot
	rm -f install-stamp build-stamp
	$(MAKE) clean
	dh_clean 

build: build-stamp
build-stamp:
	dh_testdir	
	$(MAKE) PREFIX=/usr
	touch build-stamp

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) PREFIX=/usr DESTDIR=$(installdestdir)/usr sysconf_dir=$(installdestdir)/etc SETUP.PY_OPTS="--root=$(installdestdir) --install-lib /usr/share/sbackup --no-compile -O0" install
	dh_install
	touch install-stamp

binary-arch:
binary-indep: install
	dh_installdocs -A
	dh_installexamples $(CURDIR)/data/sbackup.conf.example
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_pysupport /usr/share/sbackup
	dh_gconf
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary

## sbackup 0.11.4

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Simple Backup - GNU Makefile
 #
-#   Copyright (c)2008-2010: Jean-Peer Lorenz <peer.loz@gmx.net>
+#   Copyright (c)2008-2011: Jean-Peer Lorenz <peer.loz@gmx.net>
 #   Copyright (c)2007-2010: Ouattara Oumar Aziz <wattazoum@gmail.com>
 #
 #   This program is free software; you can redistribute it and/or modify
@@ -34,7 +34,7 @@
 export GCONF_CONFIG_SOURCE=$(shell if test -x "$(gconftool)"; then $(gconftool) --get-default-source; fi)
 
 # available languages UI
-PO=ar bg ca cs de en_AU en_CA en_GB es fi fr gl he hu id it lv ms nb nl oc pl pt pt_BR ru sv tr uk zh_CN zh_TW da el fa is ja kk ko kw ro sr sw
+PO=ar bg ca cs de en_AU en_CA en_GB es fi fo fr gl he hu id it lv ms nb nl oc pl pt pt_BR ru sv tr uk zh_CN zh_TW da el fa is ja kk ko kw ro sr sw
 
 # available languages Help/Manual
 HELPLANG=C

=== debian/changelog ===
sbackup (0.11.4-0ubuntu5) saucy; urgency=low

  * Depend on the new package name: fuse-utils is renamed to fuse.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 28 May 2013 16:06:54 +0100

sbackup (0.11.4-0ubuntu4) oneiric; urgency=low

  * Apply patch from Simon Déziel to make the temp directory
    RWX only by owner instead of by all. (LP: #785495)

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 20 Jul 2011 13:41:22 -0400

sbackup (0.11.4-0ubuntu3) oneiric; urgency=low

  * dh_python2 transition.
  * added dh_python2 to debian/rules.
  * debian/control
    - increased min debhelper to 7.0.50.
    - increased min python version to 2.6.6-3~.
    - added X-P-V >= 2.6.

 -- Charlie Smotherman <cjsmo@cableone.net>  Fri, 17 Jun 2011 04:56:22 -0500

sbackup (0.11.4-0ubuntu2) natty; urgency=low

  * Correctly set package format to 3.0 (quilt).

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Feb 2011 09:02:37 -0500

sbackup (0.11.4-0ubuntu1) natty; urgency=low

  * [Fix] LP: #714916 Unhandled error in gio backend when looking up
                      verbose error message
  * [Fix] LP: #662613 sbackup crashes with 'NonValidOptionException'
  * [Fix] LP: #709338 Restore/revert of non-toplevel items produces only
                      empty folders
  * [Fix] LP: #689016 Uncaught error 'invalid literal for int() when
                      processing invalid configuration files
  * [Fix] LP: #697386 RemoteMountFailedError 'Max. number of password inputs
                      reached' not handled properly
  * [Fix] LP: #697654 No desktop session found: no notification icon:
  * [Fix] LP: #701403 Unable to use remote target without giving a password:
  * [Fix] LP: #588578 Email notification/reporting doesn't work with GMAIL
  * [Fix] LP: #706037 Email reports not working; enable debug output
                      for sending mail
  * [Fix] LP: #683990 Uncaught 'NoSectionError' when adding report settings
                      (SMTP server etc.)
  * [Fix] LP: #695613 Empty notification popup due to invalid markup
  * [Fix] LP: #671785 Parsing remote URIs fails when username or password
                      contains special characters; quote special characters
                      to comply with RFC 1738 sec. 3.1
  * [Fix] LP: #675361 Restore process fails with error 'is not a file' while
                      copying
  * [Fix] LP: #696183 Failed to set GID to `admin`; improved handling of
                      non-existent user groups
  * [Fix] LP: #507177 update translations
  * debian/control: added gconf2 and desktop-file-utils to Depends

 -- Jean-Peer Lorenz <peer.loz@gmx.net>  Tue, 08 Feb 2011 13:58:43 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Simple Backup Maintainers <nssbackup-team@lists.launchpad.net>
 Uploaders: Jean-Peer Lorenz <peer.loz@gmx.net>, Ouattara Oumar Aziz <wattazoum@gmail.com>
-Build-Depends: debhelper (>= 7), python-support (>= 0.90), python
+Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~)
 Standards-Version: 3.9.1
+X-Python-Version: >= 2.6
 
 Package: sbackup
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
+         gconf2,
          python-gobject,
          gvfs, gvfs-fuse, gvfs-backends
 Conflicts: nssbackup, nssbackup-common, nssbackup-gtk,
@@ -35,6 +37,7 @@
 Depends: sbackup(= ${binary:Version}),
          ${python:Depends},
          ${misc:Depends},
+         desktop-file-utils,
          libgtk2.0-bin,
          python-glade2,
          python-gtk2 (>= 2.10),
@@ -55,7 +58,7 @@
 Depends: sbackup(= ${binary:Version}),
          ${python:Depends},
          ${misc:Depends},
-         fuse-utils,
+         fuse,
          curlftpfs,
          sshfs,
          python-pexpect

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	dh_link
 	dh_compress
 	dh_fixperms
-	dh_pysupport /usr/share/sbackup
+	dh_python2 /usr/share/sbackup
 	dh_gconf
 	dh_installdeb
 	dh_gencontrol
